aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2011-09-03 20:17:20 +0100
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2011-09-03 20:17:20 +0100
commitf568e5a5c47db29bd6f1eb0072e279530be1e146 (patch)
treeb11451bc9f311319ba4737cdd31e7a0d711451a9
parent0b1d22f6aa8981ac079e3fabc2106010e4925589 (diff)
downloadpaludis-f568e5a5c47db29bd6f1eb0072e279530be1e146.tar.gz
paludis-f568e5a5c47db29bd6f1eb0072e279530be1e146.tar.xz
Kill EXTRA_*
-rw-r--r--paludis/repositories/e/eapis/exheres-0.conf4
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/build_functions.bash8
-rw-r--r--paludis/repositories/e/ebuild/utils/exheres-0/Makefile.am1
-rw-r--r--paludis/repositories/e/ebuild/utils/exheres-0/emake31
4 files changed, 38 insertions, 6 deletions
diff --git a/paludis/repositories/e/eapis/exheres-0.conf b/paludis/repositories/e/eapis/exheres-0.conf
index 18d426f..fe4ccc0 100644
--- a/paludis/repositories/e/eapis/exheres-0.conf
+++ b/paludis/repositories/e/eapis/exheres-0.conf
@@ -48,7 +48,7 @@ vdb_from_env_variables = \
vdb_from_env_unless_empty_variables = \
ASFLAGS CBUILD CC CFLAGS CHOST CTARGET CXX CXXFLAGS \
- EXTRA_ECONF EXTRA_EINSTALL EXTRA_EMAKE LDFLAGS LIBCXXFLAGS \
+ LDFLAGS LIBCXXFLAGS \
REPOSITORY BINARY_REPOSITORY RESTRICT BUGS_TO REMOTE_IDS UPSTREAM_CHANGELOG \
UPSTREAM_RELEASE_NOTES UPSTREAM_DOCUMENTATION DESCRIPTION \
DEFINED_PHASES SCM_REVISION
@@ -57,7 +57,7 @@ binary_from_env_variables = \
CHOST DEPENDENCIES DESCRIPTION EAPI HOMEPAGE INHERITED MYOPTIONS PLATFORMS LICENCES \
SLOT DOWNLOADS OPTIONS GENERATED_USING GENERATED_TIME SUBOPTIONS HIDDEN_SUBOPTIONS \
ASFLAGS CBUILD CC CFLAGS CHOST CTARGET CXX CXXFLAGS \
- EXTRA_ECONF EXTRA_EINSTALL EXTRA_EMAKE LDFLAGS LIBCXXFLAGS \
+ LDFLAGS LIBCXXFLAGS \
GENERATED_FROM_REPOSITORY PLATFORMS BINARY_PLATFORMS BINARY_URI \
SUMMARY BUGS_TO REMOTE_IDS UPSTREAM_CHANGELOG UPSTREAM_RELEASE_NOTES \
UPSTREAM_DOCUMENTATION SCM_REVISION
diff --git a/paludis/repositories/e/ebuild/exheres-0/build_functions.bash b/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
index a91db87..313ff7b 100644
--- a/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
# vim: set sw=4 sts=4 et :
-# Copyright (c) 2006, 2007, 2008, 2009 Ciaran McCreesh
+# Copyright (c) 2006, 2007, 2008, 2009, 2011 Ciaran McCreesh
# Copyright (c) 2008 Bo ├śrsted Andresen
# Copyright (c) 2009 David Leverton
# Copyright (c) 2009 Mike Kelly
@@ -148,10 +148,10 @@ econf()
done
echo ${ECONF_WRAPPER} "${ECONF_SOURCE}"/configure \
- "${default_args[@]}" "${econf_args[@]}" ${EXTRA_ECONF} 1>&2
+ "${default_args[@]}" "${econf_args[@]}" 1>&2
${ECONF_WRAPPER} "${ECONF_SOURCE}"/configure \
- "${default_args[@]}" "${econf_args[@]}" ${EXTRA_ECONF} || paludis_die_unless_nonfatal "econf failed" || return 247
+ "${default_args[@]}" "${econf_args[@]}" || paludis_die_unless_nonfatal "econf failed" || return 247
else
paludis_die_unless_nonfatal "No configure script for econf" || return 247
fi
@@ -173,7 +173,7 @@ einstall()
cmd="${cmd} sysconfdir=${IMAGE}/etc"
cmd="${cmd} localstatedir=${IMAGE}/var/lib"
cmd="${cmd} libdir=${IMAGE}/usr/${LIBDIR:-lib}"
- cmd="${cmd} ${EXTRA_EINSTALL} ${@} install"
+ cmd="${cmd} ${@} install"
echo "${cmd}" 1>&2
${cmd} || paludis_die_unless_nonfatal "einstall failed" || return 247
else
diff --git a/paludis/repositories/e/ebuild/utils/exheres-0/Makefile.am b/paludis/repositories/e/ebuild/utils/exheres-0/Makefile.am
index 2892574..31fbf33 100644
--- a/paludis/repositories/e/ebuild/utils/exheres-0/Makefile.am
+++ b/paludis/repositories/e/ebuild/utils/exheres-0/Makefile.am
@@ -10,6 +10,7 @@ libexecprog_SCRIPTS = \
dolib \
dosed \
donewins \
+ emake \
fperms \
fowners \
herebin \
diff --git a/paludis/repositories/e/ebuild/utils/exheres-0/emake b/paludis/repositories/e/ebuild/utils/exheres-0/emake
new file mode 100644
index 0000000..2ddbb4e
--- /dev/null
+++ b/paludis/repositories/e/ebuild/utils/exheres-0/emake
@@ -0,0 +1,31 @@
+#!/usr/bin/env bash
+# vim: set sw=4 sts=4 et :
+
+# Copyright (c) 2006, 2007, 2009, 2011 Ciaran McCreesh
+#
+# This file is part of the Paludis package manager. Paludis is free software;
+# you can redistribute it and/or modify it under the terms of the GNU General
+# Public License as published by the Free Software Foundation; either version
+# 2 of the License, or (at your option) any later version.
+#
+# Paludis is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+# details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place, Suite 330, Boston, MA 02111-1307 USA
+
+source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
+
+PALUDIS_JOBS_ARGS=
+if [[ -n "${PALUDIS_JOBS_VAR}" ]] && [[ -n "${!PALUDIS_JOBS_VAR}" ]] ; then
+ PALUDIS_JOBS_ARGS="-j${!PALUDIS_JOBS_VAR}"
+fi
+
+echo ${EMAKE_WRAPPER} ${MAKE:-make} ${PALUDIS_JOBS_ARGS} ${MAKEOPTS} "$@" 1>&2
+${EMAKE_WRAPPER} ${MAKE:-make} ${PALUDIS_JOBS_ARGS} ${MAKEOPTS} "$@"
+ret=$?
+[[ 0 != $ret ]] && paludis_die_or_error "emake returned error $ret"
+exit $ret